Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipergate.datamodel
Interface ImportLoader

All Known Implementing Classes:
  ActivityAudienceLoader, CompanyLoader, ContactLoader, DespatchAdviceLoader, FellowLoader, OportunityLoader, ProductLoader, TableLoader, UserLoader, VCardLoader

    public interface ImportLoader

Field Summary
`static java.lang.String` | `LOOUKP_TR_COLUMNS`
`static int` | `LOOUKP_TR_COUNT`
`static int` | `MODE_APPEND`
`static int` | `MODE_APPENDUPDATE`
`static int` | `MODE_UPDATE`
`static int` | `WRITE_LOOKUPS`

Method Summary
`void` | `close()` Close ImportLoader Must be always called before ImportLoader is destroyed
`int` | `columnCount()` Get columns count
`java.lang.String[]` | `columnNames()` Get array of column names
`java.lang.Object` | `get(int iColumnIndex)` Get current value for a column given its index
`java.lang.Object` | `get(java.lang.String sColumnName)` Get current value for a column given its name
`int` | `getColumnIndex(java.lang.String sColumnName)` Get column index from its name
`void` | `prepare(java.sql.Connection oConn, ColumnList oCols)` Prepare ImportLoader for repeated execution
`void` | `put(int iColumnIndex, java.lang.Object oValue)` Put current value for a column
`void` | `put(java.lang.String sColumnName, java.lang.Object oValue)` Put current value for a column
`void` | `setAllColumnsToNull()` Set all current values to null
`void` | `store(java.sql.Connection oConn, java.lang.String sWorkArea, int iFlags)` Store a single row or a set of related rows

Field Detail

### MODE_APPEND

    static final int MODE_APPEND

See Also:
  Constant Field Values

### MODE_UPDATE

    static final int MODE_UPDATE

See Also:
  Constant Field Values

### MODE_APPENDUPDATE

    static final int MODE_APPENDUPDATE

See Also:
  Constant Field Values

### WRITE_LOOKUPS

    static final int WRITE_LOOKUPS

See Also:
  Constant Field Values

### LOOUKP_TR_COLUMNS

    static final java.lang.String LOOUKP_TR_COLUMNS

### LOOUKP_TR_COUNT

    static final int LOOUKP_TR_COUNT

Method Detail

### columnCount

    int columnCount()

  Get columns count

  Returns:
    int

### columnNames

    java.lang.String[] columnNames()
                                   throws java.lang.IllegalStateException

  Get array of column names

  Returns:
    String[]
  Throws:
    `java.lang.IllegalStateException`

### get

    java.lang.Object get(int iColumnIndex)
                         throws java.lang.ArrayIndexOutOfBoundsException

  Get current value for a column given its index

  Parameters:
    `iColumnIndex` - int [0..columnCount()-1]
  Returns:
    Object
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### get

    java.lang.Object get(java.lang.String sColumnName)
                         throws java.lang.ArrayIndexOutOfBoundsException

  Get current value for a column given its name

  Parameters:
    `sColumnName` - Case insensitive String
  Returns:
    Object
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if no column with such name was found

### getColumnIndex

    int getColumnIndex(java.lang.String sColumnName)

  Get column index from its name

  Parameters:
    `sColumnName` - String
  Returns:
    int [0..columnCount()-1] or -1 if column was not found

### put

    void put(int iColumnIndex,
             java.lang.Object oValue)
             throws java.lang.ArrayIndexOutOfBoundsException

  Put current value for a column

  Parameters:
    `iColumnIndex` - int [0..columnCount()-1]
    `oValue` - Object
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### put

    void put(java.lang.String sColumnName,
             java.lang.Object oValue)
             throws java.lang.ArrayIndexOutOfBoundsException

  Put current value for a column

  Parameters:
    `sColumnName` - String Column name
    `oValue` - Object
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### setAllColumnsToNull

    void setAllColumnsToNull()

  Set all current values to null

### prepare

    void prepare(java.sql.Connection oConn,
                 ColumnList oCols)
                 throws java.sql.SQLException

  Prepare ImportLoader for repeated execution

  Parameters:
    `oConn` - Connection
    `oCols` - ColumnList List of columns that will be inserted or updated at the database
  Throws:
    `java.sql.SQLException`

### close

    void close()
               throws java.sql.SQLException

  Close ImportLoader

  Must be always called before ImportLoader is destroyed

  Throws:
    `java.sql.SQLException`

### store

    void store(java.sql.Connection oConn,
               java.lang.String sWorkArea,
               int iFlags)
               throws java.sql.SQLException,
                      java.lang.IllegalArgumentException,
                      java.lang.NullPointerException

  Store a single row or a set of related rows

  Parameters:
    `oConn` - Connection
    `sWorkArea` - String
    `iFlags` - int
  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD